Bug 1223419 (CVE-2015-4047)

Summary: CVE-2015-4047 ipsec-tools: NULL pointer dereference in racoon/gssapi.c
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bloch, carnil, pwouters, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-01 10:40:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1223420, 1223421    
Bug Blocks: 1225832    

Description Martin Prpič 2015-05-20 13:26:14 UTC
A NULL pointer dereference flaw was found in IPsecTools. A remote attacker could use this flaw to crash the IKE daemon via specially crafted UDP packets if the HAVE_GSSAPI configuration option is set.

CVE request:

http://seclists.org/oss-sec/2015/q2/503

Proposed patch:

http://seclists.org/fulldisclosure/2015/May/83

External References:

https://www.altsci.com/ipsec/ipsec-tools-sa.html

Comment 1 Martin Prpič 2015-05-20 13:27:33 UTC
Created ipsec-tools tracking bugs for this issue:

Affects: fedora-all [bug 1223420]
Affects: epel-7 [bug 1223421]

Comment 2 Martin Prpič 2015-05-20 13:29:24 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 3 Paul Wouters 2015-06-01 19:11:32 UTC
note this resolving is a little odd. Because ipsec-tools in in fedora DOES have this issue fixed, and so will EPEL6

Comment 4 Fedora Update System 2015-06-05 23:46:19 UTC
ipsec-tools-0.8.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-06-05 23:55:30 UTC
ipsec-tools-0.8.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.